Package org.apache.sling.junit.scriptable

## Class TestServletOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - javax.servlet.ServletOutputStream
    - - org.apache.sling.junit.scriptable.TestServletOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

    public class TestServletOutputStream
    extends javax.servlet.ServletOutputStream

Output stream for our fake HTTP response class

### Constructor Summary

Constructors
`TestServletOutputStream()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isReady()`
`void` `setWriteListener​(javax.servlet.WriteListener writeListener)`
`String` `toString()`
`void` `write​(int b)`

### Methods inherited from class javax.servlet.ServletOutputStream

`print, print, print, print, print, print, print, println, println, println, println, println, println, println, println`

### Methods inherited from class java.io.OutputStream

`close, flush, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TestServletOutputStream

    public TestServletOutputStream()

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### write

    public void write​(int b)
               throws IOException

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException`

#### isReady

    public boolean isReady()

Specified by:
  `isReady` in class `javax.servlet.ServletOutputStream`

#### setWriteListener

    public void setWriteListener​(javax.servlet.WriteListener writeListener)

Specified by:
  `setWriteListener` in class `javax.servlet.ServletOutputStream`